Name:           maven-shade-plugin
Version:        3.1.1
Release:        3
Summary:        This plugin make package access to artifact in an uber-jar
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/%{name}
BuildArch:      noarch

Source0:        http://archive.apache.org/dist/maven/plugins/%{name}-%{version}-source-release.zip
#change dependencies to adapt to maven-dependency-tree-3.0
Patch0001:      0001-Port-to-maven-dependency-tree-3.0.patch

BuildRequires:  maven-local mvn(com.google.guava:guava:19.0) mvn(commons-io:commons-io) mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin) mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.apache.maven.shared:maven-artifact-transfer)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree) mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata) mvn(org.codehaus.plexus:plexus-utils) mvn(org.jdom:jdom2)
BuildRequires:  mvn(org.ow2.asm:asm) mvn(org.ow2.asm:asm-commons) mvn(org.vafer:jdependency)

%description
This plugin provides thr capability to package thr artifact in an uber-jar, including its dependencies and to shade - i.e
rename - package of some of the dependencies.

%package help
Summary:        Help documentation for maven-shade-plugin
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
Help documentation for maven-shade-plugin.

%prep
%autosetup -n %{name}-%{version} -p1
rm src/test/jars/plexus-utils-1.4.1.jar
ln -s $(build-classpath plexus/utils) src/test/jars/plexus-utils-1.4.1.jar

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files help -f .mfiles-javadoc
%license NOTICE

%changelog
* Tue Mar 3 2020 wutao <wutao61@huawei.com> - 3.1.1-3
- Package init
